### Method

# EBackend FileCache get_object

#### Declaration [src]

    const gchar*
    e_file_cache_get_object (
      EFileCache* cache,
      const gchar* key
    )

#### Description [src]

Returns the object corresponding to `key`. If no such object exists in `cache`, the function returns `NULL`.

#### Parameters

`key`

  Type: `const gchar*`

  The hash key of the object to find.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const gchar*`

The object corresponding to `key`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.